X2Go Bug report logs - #873
Drop Xinerama / LD_LIBRARY_PATH related code from x2goruncommand for nxagent >= 3.5.99.0

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 15 May 2015 12:05:02 UTC

Severity: normal

Found in version 4.1.0.0-preview

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#873; Package x2goserver. (Fri, 15 May 2015 12:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 12:05:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Drop Xinerama / LD_LIBRARY_PATH related code from x2goruncommand for nxagent >= 3.5.99.0
Date: Fri, 15 May 2015 12:03:28 +0000
[Message part 1 (text/plain, inline)]
Package: x2goserver
Severity: normal
Version: 4.1.0.0-preview

As the Xinerama magic will be soon moved from libNX_Xinerama.so into  
the programs/Xserver/hw/nxagent code, all Xinerama specifc stuff in  
x2goruncommand becomes obsolete if nxagent >= 3.5.99.0 is used  
server-side.

The nxagent >= 3.5.99.0 will be able to handle Xinerama stuff all by  
itself. No external xinerama.conf is required, applications running  
server-side can use the X.Org client libraries, no hack for injecting  
libNX_X11, libNX_Xext and libNX_Xinerama into the library path is  
needed anymore. In fact, the libNX_Xinerama library will be dropped  
completely in nx-libs >= 3.5.99.0 (aka 3.6.x).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#873; Package x2goserver. (Wed, 07 Oct 2015 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 Oct 2015 19:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 873@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 873@bugs.x2go.org
Cc: ionic@ionic.de, o.schneyder@phoca-gmbh.de, uli42@gmx.de
Subject: suggestion for how to handle Xinerama from NX 3.6.x in X2Go
Date: Wed, 07 Oct 2015 19:44:51 +0000
[Message part 1 (text/plain, inline)]
Hi Mihai, hi Alex,

the new RandR based Xinerama is about to be merged to the nx-libs  
3.6.x branch. Here are some ideas how to make the feature addressable  
in X2Go.

1.
X2Go Client can server-side query x2gofeaturelist, it outputs the  
string X2GOAGENT_RANDRXINERAMA. If that string is in x2gofeaturelist,  
then the new Xinerama code is present in x2goagent/nxagent.

2.
We are about to add a xinerama={0,1} NX option for the NX options file  
(Ulrich is probably reviewing right now...). This should be used  
through NX proxy (I guess) for setting up Xinerama in X2Go Agent. It  
works on session startup and session resumption.

3.
One can disable Xinerama completely via cmdline switch for x2goagent:  
-disablexineramaextension.


My suggestion is:

  o you keep the xinerama.conf file with X2GOAGENT_RANDRXINERAMA,
    but put "enabled" or "disabled" into it
  o the "enabled" switch is rather for human beings, because the real
    enabling takes place via NX options
  o if "disabled" is set, then x2gostartagent should notice that
    and add -disablexineramaextension

Also, -disablexineramaextension should be added (commented out, of  
course, thus for reference) to /etc/x2go/x2goagent.options.

So far from Uli's and Mike's Xinerama hacking frontier...

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#873; Package x2goserver. (Mon, 25 Jan 2016 06:15:04 GMT) Full text and rfc822 format available.

View this message in rfc822 format

From: Mihai Moldovan <ionic@ionic.de>
To: 873@bugs.x2go.org
Subject: Bug#873: [X2Go-Dev] suggestion for how to handle Xinerama from NX 3.6.x in X2Go
Date: Wed, 13 Jul 2016 06:33:29 +0200
[Message part 1 (text/plain, inline)]
In order to disable XINERAMA, we can either:

  - pass xinerama=0 as an nx/nx option
  - pass -xinerama AND -rrxinerama to x2goagent/nxagent as a normal option

Merely passing -rrxinerama will only disable the Randr-XINERAMA part, but the
PanoramiX-XINERAMA implementation will stay enabled.

Also see
https://github.com/ArcticaProject/nx-libs/blob/3.6.x/nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1
for more information.

Older nxagent versions do not support the xinerama nx/nx option or the
-rrxinerama switch.


Mihai

[signature.asc (application/pgp-signature, attachment)]

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 13 Jul 2016 04:35:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#873; Package x2goserver. (Tue, 22 Nov 2016 00:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mail Delivery System <mailer-daemon@kundenserver.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 22 Nov 2016 00:10:02 GMT) Full text and rfc822 format available.

Message #21 received at 873@bugs.x2go.org (full text, mbox):

From: Mail Delivery System <mailer-daemon@kundenserver.de>
To: 873@bugs.x2go.org
Subject: Mail delivery failed: returning message to sender
Date: Tue, 22 Nov 2016 01:04:10 +0100
This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of
its recipients. This is a permanent error. The following address
failed:

<qmy@371.net>

Reason:
delivery retry timeout exceeded


--- The header of the original message is following. ---

Received: from infong351.kundenserver.de (infong351.kundenserver.de [212.227.119.167])
	by mrelayeu.kundenserver.de (node=mreue007) with ESMTP (Nemesis)
	id 0M9AGP-1c39EV1Kn7-00CUQq; Mon, 21 Nov 2016 23:27:46 +0100
Received: from 138.201.125.177 (IP may be forged by CGI script)
    by infong351.kundenserver.de with HTTP
    id 0a50Qw-1cJa9Y3V4D-00T0Af; Mon, 21 Nov 2016 23:27:45 +0100
X-Sender-Info: <135025309@infong351.kundenserver.de>
Precedence: bulk
To: <qmy@371.net>
Subject: Delivery Notification, ID 376829651
Message-ID: <E51F7719EE3A14B76B6E279A3E7C88A8@bugs.x2go.org>
From: "FedEx International Ground" <873@bugs.x2go.org>
Date: Tue, 22 Nov 2016 02:27:26 +0300
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="eef71cae19a12e04912f03ee101b"
X-Provags-ID: V02:K0:zwH+fB6wlXcJ+sd9bpnD1frE6gz5ClKyNMJwUq8zdZe
 oLeacq7N293dGL+jx2twL7PBx3XmOHX/CRgxYDgDYJ3QNANqxZ
 ZjQnPqNwEJlCmHeJRVEQe2F4KbdlVTUUtCdM1oJdt7Kc7OXY06
 gIVLQIcf/Bsr8m5XwStKiyGBGLjypf+Nbz0YjM7Z2Uc4KEiHUD
 Tp/zfV/ZLw1BuA/b+NSttd1Z5PXXYurTAGXK7OYd1of+3DvtOb
 LrtlPIv2grN5WpOdlhlmWkUr7X/nC9i7RgsPn2ProsCTrN12uT
 8JRh7EDR8jP9A8F08/heaydXYmOvNF6yXFbwpS8uZTkryzHrim
 tVL/3uRC8TZB1J7Yjq/Qg4bFHYsGmB1wkkystfoMszs6Gt8Prl
 A6tOq/iSLPOqdsAHl08xIbQjURG33a9WqwjCoSMueFUHz8Ubrt
 s5u6JbjO6sdAaSsYIX17vTcgWVj7LHdhOxX/8MInbUwyE9p2Pe
 0APeLPYtVwCEDzOqvk7/K0e50JM0HZpH0wb/klIww==




Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#873; Package x2goserver. (Fri, 25 Nov 2016 07:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mail Delivery System <mailer-daemon@kundenserver.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 25 Nov 2016 07:10:02 GMT) Full text and rfc822 format available.

Message #26 received at 873@bugs.x2go.org (full text, mbox):

From: Mail Delivery System <mailer-daemon@kundenserver.de>
To: 873@bugs.x2go.org
Subject: Mail delivery failed: returning message to sender
Date: Fri, 25 Nov 2016 08:06:00 +0100
This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of
its recipients. This is a permanent error. The following address
failed:

<tmg@kbmla.com>

Reason:
delivery retry timeout exceeded


--- The header of the original message is following. ---

Received: from infong404.kundenserver.de (infong404.kundenserver.de [212.227.109.187])
	by mrelayeu.kundenserver.de (node=mreue007) with ESMTP (Nemesis)
	id 0MBeAU-1c0UNX0O3C-00ATXR; Mon, 21 Nov 2016 06:38:21 +0100
Received: from 138.201.125.177 (IP may be forged by CGI script)
    by infong404.kundenserver.de with HTTP
    id 0ZQR9P-1cp1fO4AOc-0183HT; Mon, 21 Nov 2016 06:38:20 +0100
X-Sender-Info: <167754051@infong404.kundenserver.de>
Precedence: bulk
To: <tmg@kbmla.com>
Subject: Problems with item delivery, n.2367969291
Message-ID: <F50F77BABE6A44E73B3E77CAAE3BD4AE@bugs.x2go.org>
From: "FedEx International Next Flight" <873@bugs.x2go.org>
Date: Mon, 21 Nov 2016 09:38:01 +0300
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="cd0b601d000aa72c326c5da15e20"
X-Provags-ID: V02:K0:ghwqSBlkRvOUCpe3ndjKhla37sMCI2DjU0zRstJd1YV
 gfuhozse6clFGrezFwDmc8+M/dE6B5AKPnqVAXX4XFpixQqBcO
 MCCxuna4Omg/lEeupeYLV55cBx4SNZOFoq1AQtdZAD225FXkr+
 ygTItt9kYoaqotbd1XZ4cqD3oCGg1qu7enGJFBUs3WtTe9CgVa
 kdSRxNGWHf6Y8HgUoGPXlXRuuiCvf6fH9GFfFUyd5/V6piEVWM
 QZ0B/zIpjk74IQXiruVBBuOJNoco7HI3ZFd7YDO2XjKSx8pI+A
 fSVEgRbpVmTbWDgHynx68e7H/COa/tQkQbLiEOMUB4emuQh6xc
 IbHMMn3fhopn+Xnh5jxNi7dDH20Szkj50SmfjzvUh5Mgfw3BE/
 w/onpby23wqVMwWoOmDptZAnF/nx6nXgKnxjbApR381XLHr5w9
 FkiPLk+jzCOWDjLF7QVlUbtWyIYwABQAWgq6ngdqmHlXJ5skY/
 tAJilS2Wzq9IoH5zEzG




Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#873; Package x2goserver. (Wed, 21 Nov 2018 20:40:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 21 Nov 2018 20:40:07 GMT) Full text and rfc822 format available.

Message #31 received at 873@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 873@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#873: suggestion for how to handle Xinerama from NX 3.6.x in X2Go
Date: Wed, 21 Nov 2018 20:35:00 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

On  Mi 13 Jul 2016 06:33:29 CEST, Mihai Moldovan wrote:

> In order to disable XINERAMA, we can either:
>
>   - pass xinerama=0 as an nx/nx option
>   - pass -xinerama AND -rrxinerama to x2goagent/nxagent as a normal option
>
> Merely passing -rrxinerama will only disable the Randr-XINERAMA part, but the
> PanoramiX-XINERAMA implementation will stay enabled.
>
> Also see
> https://github.com/ArcticaProject/nx-libs/blob/3.6.x/nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1
> for more information.
>
> Older nxagent versions do not support the xinerama nx/nx option or the
> -rrxinerama switch.
>
>
> Mihai

Fixed in X2Go Server since commit 7e0dce4aaf71b03db72c3dd21ff158ce3460532d.

Thus, closing...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 873-submit@bugs.x2go.org. (Wed, 21 Nov 2018 20:40:08 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Wed, 21 Nov 2018 20:40:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 05:16:45 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.